
QGIS Application - Bug report #13344

Processing Import into PostGIS: list of connection does not refresh

2015-09-11 06:33 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 21397

Description

New PoastGIS connections are not listed on the list of connections in the Processing dialog; QGIS has to be restarted to take the new

connection into account.

Related issues:

Duplicates QGIS Application - Bug report # 13041: Processing Toolbox Doesn't ... Closed 2015-06-26

History

#1 - 2015-09-15 06:21 PM - Spencer Gardner

I have noticed this as well since at least 2.6.

Seems odd. The code populates the DB selections from QSettings, which appears to update correctly when I add a new DB. I tested with the following

code in the Python console, adapted from the tool's code:

-----------------------------------------------

from PyQt4.QtCore import QSettings

settings = QSettings()

settings.beginGroup('/PostgreSQL/connections/')

settings.childGroups()

(create new db in postgis)

settings = QSettings()

settings.beginGroup('/PostgreSQL/connections/')

settings.childGroups()

-----------------------------------------------

#2 - 2016-01-12 09:52 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicates #13041
